Loop plugin @ionic/cli-plugin-cordova is not installed


#1

Hi!

Every time i have to add a new plugin to my projects always happens the same:

The plugin @ionic/cli-plugin-cordova is not installed. Would you like to install it and continue?
Ok so install,after this:
@ionic/app-scripts need to install
I execute
npm install @ionic/app-scripts@latest --save-dev
Later
Typescript need to install
I execute
npm install typescript --save

And this always happen even i lost more than one hour only for this because enters into a loop that always asking me the same.

Sometimes if i execute cmd in administrator mode not even ask me for @ionic/app-scripts only for typescript.

The funny thing is that only happens in my computer, and also notice that every time i made a project new or another project from friend that already exists, and i have to reinstall node_modules creates a package-lock.json that the existing project never have before.

I read and search everything about this problem, and ok its “fixed” if i do those commands every time but its not supposed to be the normal functionallity to installing plugins. And sometimes takes more to install that implementation itself.


#2

That is a file that is created by npm versions >=5.

Please post your ionic info output inside one of your projects and once outside any project.


#3

Inside of one project:

global packages:

@ionic/cli-utils : 1.5.0
Cordova CLI      : 7.0.1
Ionic CLI        : 3.5.0

local packages:

@ionic/app-scripts              : 1.3.7
@ionic/cli-plugin-cordova       : 1.4.0
@ionic/cli-plugin-ionic-angular : 1.3.1
Cordova Platforms               : android 6.2.3
Ionic Framework                 : ionic-angular 3.3.0

System:

Node       : v6.11.0
OS         : Windows 10
Xcode      : not installed
ios-deploy : not installed
ios-sim    : not installed
npm        : 5.0.4

Outside:

[WARN] You are not in an Ionic project directory. Project context may be missing.

global packages:

@ionic/cli-utils : 1.5.0
Ionic CLI        : 3.5.0

System:

Node       : v6.11.0
OS         : Windows 10
Xcode      : not installed
ios-deploy : not installed
ios-sim    : not installed
npm        : 5.0.4

#4

Ok, and where do you get that error now exactly? Post the whole command and its output you get please.[quote=“Alundra, post:3, topic:98005”]
@ionic/app-scripts : 1.3.7
[/quote]

You might want to upgrade that to 1.3.12 or even 2.x (read the changelog for required changes in index.html)